<?php

#Модуль кэширования#
#Cache module#

class MVCS_cache {

	var $buffer;
	var $url;
	
	function MVCS_cache() {
		GLOBAL $cfg;
		$this->url = str_replace('/','_',$_GET['act']);
		
		#Кэширование на стороне клиента#
		#Caching by client#
		
		if($cfg['cache']['host']=='user'){
			#Другой реализации не придумал#
			
			header("Cache-Control: public");
			header("Expires: " . date("r", time() + 24*3600));
			header("Last-Modified: ".gmdate("d, d m y h:i:s",filemtime($this->url))." GMT");
		}else{
		
			if (!is_dir($cfg['cache']['directory'])){
			
				echo '[MVCS_cache:Ошибка|Error]Неправильная директория кэша|Cache directory is not]';
				
			}
		
		}
	}
	
	#Включение буферизации#
	#Buffering on#
	
	function StartBuffering(){
		GLOBAL $cfg;
		if ($cfg['cache']['host']=='server'){
			ob_start();
		}
	}
	

	#Чтение кэша#
	#Reading cache#
	
	function ReadCache($filename) { 
		GLOBAL $cfg;
		if (file_exists($cfg['cache']['directory'].$filename.'.cache')) { 
			if ((time() - $cfg['cache']['expiry']) > filemtime($cfg['cache']['directory'].$filename.$cfg['cache']['file_type']))return FALSE; 
			$cache = file($cfg['cache']['directory'].$filename.$cfg['cache']['file_type']); 
			return implode('', $cache); 
		} 
		return FALSE; 
	}

	
	#Запись кэша#
	#Writing cache#
	
	function WriteCache() {
		GLOBAL $cfg;
		$fp = fopen($cfg['cache']['directory'].$this->url.$cfg['cache']['file_type'], 'w'); 
		fwrite($fp, $this->buffer); 
		fclose($fp); 
	}
	
	#Отключение буферизации и кэширование, если данные обновились#
	#Buffering off and cache, if content was changed#
	
	function EndBuffering(){
		GLOBAL $cfg;
		if ($cfg['cache']['host']=='server'){
			$this->buffer = ob_get_clean();
			if ($this->ReadCache($this->url)!=$this->buffer){
				echo $this->buffer;
				$this->WriteCache();
			}else{
				echo $this->ReadCache($this->url);
		
			}
		}
	}
	
	#Очистка кэша (Только на стороне сервера)#
	#Clean cache#
	
	function CleanCache(){
	
		if (is_dir($cfg['cache']['directory'])) {
			if ($dh = opendir($cfg['cache']['directory'])) {
				while (($file = readdir($dh))!==false) {
					$arg = explode('.',$file);
					if ($arg[1] == $cfg['cache']['file_type'])unlink($cfg['cache']['directory'].$file);
				}
				return true;
				closedir($dh);
			}
		}else{
			echo '[CleanCache():Ошибка|Error]Не найдена директория кэша | Cache directory is not';
		}
	
	}
}





