<?php


#Модуль для работы с FTP#
#Module from work with FTP#


class MVCS_ftp {
	var $connection = array();
	var $connec_properties = array();
	var $use_connection;
	function MVCS_ftp() {
		GLOBAL $cfg;
		if ($this->connection['default'] = ftp_connect($cfg['ftp']['host'],$cfg['ftp']['port'],$cfg['ftp']['timeout'])){
			if (!ftp_login($this->connection['default'],$cfg['ftp']['user'],$cfg['ftp']['password'])){
				echo '[MVCS_database:Ошибка|Error] Ошибка авторизации | Error autentification';
			}else{
				
				ftp_pasv($this->connection['default'],$cfg['ftp']['pasv_flag']);
				
				$this->connec_properties['default'] = array(
													'host'=>$cfg['ftp']['host'],
													'user'=>$cfg['ftp']['user'],
													'password'=>$cfg['ftp']['password'],
													'port'=>$cfg['ftp']['port'],
													'pasv_flag'=>$pasv
													);
				$this->use_connection = 'default';
				return true;
			}
		}else{
			echo '[MVCS_database:Ошибка|Error] Ошибка подключения к серверу | Error connect to server';
		}
	
	}
	
	
	#Открытие соединения#
	#Open connection#
	
	function OpenConnection($name,$host = '',$user = '',$password = '',$port = '21', $pasv = 'disabled'){
		GLOBAL $cfg;
		#Четыре последних параметра не обязательны, если соединение устанавливалось ранее#
		#last four parameters are optional, if the connection was set previously#
		
		if (isset($this->connect_properties[$name])){
		
			$host = $this->connect_properties[$name]['host'];
			$user = $this->connect_properties[$name]['user'];
			$password = $this->connect_properties[$name]['password'];
			$port = $this->connect_properties[$name]['port'];
			$pasv = $this->connect_properties[$name]['pasv_flag'];
			
		}
		if ($this->connection[$name] = ftp_connect($host,$port,$cfg['ftp']['timeout'])){
			if (!ftp_login($user,$password)){
			
				echo '[MVCS_ftp:Ошибка|Error]Ошибка авторизации|Error autentification';
			
			}else{
				ftp_pasv($this->connection[$name],$pasv);
				$this->connect_properties[$name] = array(
													'host'=>$host,
													'user'=>$user,
													'password'=>$password,
													'port'=>$port,
													'pasv_flag'=>$pasv
													);
				$this->use_connection = $name;
				return true;
			}
		}else{
			return false;
		}
	
	}
	
	#Закрытие соединения#
	#Close connection#

	function CloseConnection($connection){
		GLOBAL $cfg;
		return ftp_quit($this->connection[$connection]);
	}
	
	#Переход в родительский каталог#
	#Up to parent directory#
	
	function ParentDir(){
		GLOBAL $cfg;
		return ftp_cdup($this->connection[$this->use_connection]);
	
	}
	
	#Изменение активного подключения#
	#Changing active connection#
	
	function UseConnection($name){
	
		$this->use_connection = $name;
	
	
	}
	
	#Создание каталога#
	#New directory#
	
	function MakeDir($name){
	
		return ftp_mkdir($this->connection[$this->use_connection],$name);
	
	
	}
	
	#Изменение текущего рабочего каталога#
	#Changing work directory#
	
	function ChangeDir($name){
	
	
		return ftp_chdir($this->connection[$this->use_connection],$name);
	
	
	}
	
	#Перечисление файлов в каталоге#
	#Directory file list#
	
	function FilesList($directory = ''){
	
		$list = ftp_nlist($this->connection[$this->use_connection],$directory);
		foreach ($list as $key=>$file){
		
			if ($file == '..' OR $file == '.'){
			
				unset($list[$key]);
			
			}
		
		}
		return $list;
	
	}
	
	#Имя текущего каталога#
	#Active directory name#
	
	function DirName(){
	
		return ftp_pwd($this->connection[$this->use_connection]);
	
	
	}
	
	#Удаление файлов#
	#Delete files#
	
	function DeleteFile($name){
	
		return ftp_delete($this->connection[$this->use_connection],$name);
	
	}
	
	#Переименование файлов#
	#Rename file#
	
	function RenameFile($name,$to){
	
		return ftp_rename($this->connection[$this->use_connection],$name,$to);
	
	}
	
	#Удаление каталога#
	#Delete directory#
	
	function DeleteDir($name){
	
		return ftp_rmdir($this->connection[$this->use_connection],$name);
	
	}
	
	#Работа через брандмауэр#
	#Passive work#
	
	function SetPasv($pasv = 'enabled'){
	
		return ftp_pasv($this->connection[$this->use_connection],$pasv);
	
	}
	
	#Отправка команды на сервер#
	#Send command to server#
	
	function Site($command){
	
		return ftp_site($this->connection[$this->use_connection],$command);
	
	}
	
	#Установка CHMOD#
	#Changing CHMOD#
	
	function FileChmod($file,$cmod){
	
	
		return ftp_site($this->connection[$this->use_connection],'chmod '.$cmod.' '.$file);
	
	
	}
	
	#Загрузка файла#
	#Loading file#
	
	function FileLoad($file,$remote_directory = '',$mode = FTP_BINARY){
		return ftp_get($this->connection[$this->use_connection],$remote_directory.$file,$file,$mode);
	}
	
	#Размер файла#
	#File size#
	
	function FileSize($file){
	
	
		return ftp_size($this->connection[$this->use_connection],$file);
	
	
	}
	
	#Загрузка файла на сервер#
	#Loading file to server#
	
	function FileUpload($file,$mode = FTP_BINARY){
		$fp = fopen($file,'r+');
		$arg = explode('/',$file);
		return ftp_fput($this->connection[$this->use_connection],$arg[count($arg)-1],$fp,$mode);
	}
	
	#Отправка команды SITE EXEC на сервер#
	#Send command SITE EXEC to server#
	
	function SiteExec($command){
	
	
		return ftp_exec($this->connection[$this->use_connection],$command);
	
	
	}
	
	#Загрузка группы файлов#
	#Loading group files#
	
	function FilesLoad ($arr,$remote_directory = '',$mode = FTP_BINARY){
		
		foreach ($arr as $file){
		
			
			$this->FileLoad($file,$remote_directory,$mode);
		
		
		}
	
	
	}
	
	#Выгрузка группы файлов#
	#Uploading group files#
	
	function FilesUpload ($arr,$mode = FTP_BINARY){
	
	
		foreach ($arr as $file){
		
			
			$this->FileUpload($file,$mode);
		
		
		}
	
	
	}
	
	#Последняя дата изменения файла#
	#Date the last file edit#
	
	function FileModDate($file){
	
		return ftp_mdtm($this->connection[$this->use_connection],$file);
	
	
	}
	
	
	
	
}