<?php

#Класс для работы с PDO#
#Class from work with PDO#

class MVCS_pdo {
	
	var $connection = array();
	var $connect_properties = array();
	var $use_connection;
	var $where;
	
	#Запрос на подключение#
	#Connection request#
	
	function MVCS_pdo(){
		GLOBAL $cfg;
		try{ $this->connection['default'] = new PDO($cfg['db']['db_type'].":host=".$cfg['db']['host'].";dbname=".$cfg['db']['database'].";charset=".$cfg['db']['char'], 
												$cfg['db']['user'], 
												$cfg['db']['password']);}
		catch(PDOException $e){
			echo '[MVCS_pdo:Ошибка|Error]Ошибка подключения к серверу|Error connect to server';
		}
		if ($this->connection['default']){
			$this->connection['default']->query("SET NAMES ".$cfg['db']['char']);
			$this->connect_properties['default'] = array(
												'host'=>$cfg['db']['host'],
												'user'=>$cfg['db']['user'],
												'password'=>$cfg['db']['password'],
												'char'=>$cfg['db']['char'],
												'db_type'=>$cfg['db']['db_type']
												);
				$this->use_connection = 'default';
				return true;
		}
		
	}
	
	#Закрытие соединения#
	#Close connection#
	
	function CloseConnection($connection){
		GLOBAL $cfg;
		$this->connection[$connection] = null;
	}
	
	#Открытие соединения#
	#Open connection#
	
	function OpenConnection($name,$host = '',$user = '',$password = '',$database = '',$char = '',$db_type = ''){
		GLOBAL $cfg;
		#Пять последних параметра не обязательны, если соединение устанавливалось ранее#
		#The last five parameters are optional, if the connection was set previously#
		
		if (isset($this->connect_properties[$name])){
		
			$host = $this->connect_properties[$name]['host'];
			$user = $this->connect_properties[$name]['user'];
			$password = $this->connect_properties[$name]['password'];
			$char = $this->connect_properties[$name]['char'];
			$database = $this->connect_properties[$name]['database'];;
			$db_type = $this->connect_properties[$name]['db_type'];
			
		}
		try{ $this->connection[$name] = new PDO($db_type.":host=".$host.";dbname=".$database.";charset=".$char, 
												$user, 
												$password);}
		catch(PDOException $e){
			return false;
		}
		if ($this->connection[$name]){
			$this->connection[$name]->query("SET NAMES ".$char);
			$this->connect_properties[$name] = array(
												'host'=>$host,
												'user'=>$user,
												'password'=>$password,
												'char'=>$char,
												'database'=>$database,
												'db_type'=>$db_type
												);
				$this->use_connection = $name;
				return true;
		}
	
	}
	
	#Установка активного подключения#
	#Changing of the connection used#
	
	function UseConnection($name){
		GLOBAL $cfg;
		$this->use_connection = $name;
		
	}
	
	#Запрос к БД#
	#Request to DB#
	
	function Query($query){
		GLOBAL $cfg;
		if (!empty($this->where)){
		
			$query = $query.' WHERE '.$this->where;
			$this->where = null;
		
		}
		if ($res = $this->connection[$this->use_connection]->query($query)){
			
			return $res;
			
		
		}else{
		
			return false;
		
		}
		
	}
	
	#Подготовка запроса#
	#Prepare query#
	
	function Prepare($query){
	
		GLOBAL $cfg;
		if (!empty($this->where)){
		
			$query = $query.' WHERE '.$this->where;
			$this->where = null;
		
		}
		return $this->connection[$this->use_connection]->prepare($query);
	
	
	}
	
	#Установка атрибутов подключения#
	#Set connection attribute#
	
	function SetAttribute($attribute,$value){
		GLOBAL $cfg;
		return $this->connection[$this->use_connection]->setAttribute($attribute,$value);
		
		
	}
	
	#Установка условий для запроса(WHERE)#
	#Set rules(WHERE)#
	
	function Where($set,$value){
	
	
		if (!empty($this->where)){
			$this->where = $this->where.' AND `'.$set.'`='.$value;
		}else{
		
			$this->where = $set.'='.$value;
		
		}
	
	
	}
	
	#Установка условий для запроса(WHERE .. OR)#
	#Set rules(WHERE .. OR)#
	
	function OrWhere($set,$value){
	
		if (!empty($this->where)){
			$this->where = $this->where.' OR `'.$set.'`='.$value;
		}
	
	
	
	}
	
	#Выполнение запроса(Exec)#
	#Run query(Exec)#
	
	function Exec($query){
	
		return $this->connection[$this->use_connection]->exec($query);
	
	
	}
	
	
	
	
}
	