<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
	<head>
	 <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>MVCSystem Framework</title>
	<link rel="stylesheet" type="text/css" href="/style.css">
	</head>
	<body>
	<h1>FAQ по модулям</h1>
	<ul>
		<li><a href="#MVCS_core">MVCS_core</a> - системные функции движка</li>
		<li><a href="#MVCS_database">MVCS_database</a> - для работы с базами данных mysql</li>
		<li><a href="#MVCS_pdo">MVCS_pdo</a> - для работы с PDO</li>
		<li><a href="#MVCS_cache">MVCS_cache</a> - для кэширования содержимого</li>
		<li><a href="#MVCS_ftp">MVCS_ftp</a> - для работы с FTP</li>
	</ul>
	<h1 id="MVCS_core">MVCS_core</h1><p>
	<p class="method">MVCS()</p>
	<p>Контроллер. В нем объекты автоматически загружаемых модулей помещаються в свойства</b>
	<p class="method">Mvcs_set_cfg()</p>
	<p>Функция установки параметров, аргументом принимается название файла настроек, без формата, можно использовать в контроллерах в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_set_cfg('file');</p>
	<p class="method">Mvcs_load_controller()</p>
	<p>Функция загрузки контроллера, аргументом принимается название файла контроллера, без формата, можно использовать в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_load_controller('file');</p>
	<p class="method">Mvcs_load_model()</p>
	<p>Функция загрузки модели и помещения её экземпляра в свойство, аргументом принимается название файла модели, без формата, можно использовать в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_load_model('model');<br>
	&nbsp;$this->model->method();
	</p>
	<p class="method">Mvcs_load_view( string $name [, array $arr])</p>
	<p>Функция загрузки вида, аргументом принимается название файла модели <b>$name</b> без формата и массив переменных <b>$arr</b>, можно использовать в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_load_view('view');</p>
	<p class="method">Mvcs_load_module()</p>
	<p>Функция загрузки модуля и помещения его экземпляра в свойство, аргументом принимается название файла модуля, без формата, можно использовать в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_load_module('file');</p>
	<p class="method">Mvcs_load_library()</p>
	<p>Функция загрузки библиотеки, аргументом принимается название файла библиотеки без формата, можно использовать в таком виде:</p>
	<p class="example">&nbsp;$this->Mvcs_load_library('file');</p>
	<h1 id="MVCS_database">MVCS_database</h1>
	<p>Модуль используется для работы с базой данных</p>
	<p>Использует настройки из массива <b>$cfg['db']</b> для создания первого подключения при объявлении объекта класса этого модуля<br>
	Особенности модуля: Возможность работать с несколькими подключениями, создавать новые, закрывать их, открывать...</p>
	<p>Свойства:</p>
	<p class="example">&nbsp;var $connection = array(); - массив подключений<br>
	&nbsp;var $connection_properties = array(); - массив с данными о подключениях<br>
	&nbsp;var $use_connection; - активное подключение; для изменения активного подключения используйте метод UseConnection()<br>
	&nbsp;var $use_db; - активная баз данных</p>
	<p>Методы:</p>
	<p class="method">MVCS_database()</p> 
	<p>Конструктор, используется для создания подключения по умолчанию (при объявлении объекта этого класса) с именем default;</p>
	<p class="method">CloseConnection( <i>string</i> $connect_name )</p>
	<p>Закрытие подключения <b>$connect_name</b></p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_database->CloseConnection('connect1'); //Закрывает подключение с именем connect1</p>
	<p class="method">OpenConnection( <i>string</i> $name [, <i>string</i> $host, <i>string</i> $user, <i>string</i> $password,<i>string</i> $database, <i>string</i> $char])</p>
	<p>Открытие подключения</p>
	<p class="important"><b>Важно:</b> Если подключение с именем <b>$name</b> было открыто ранее, то метод откроет подключение, используя данные о подключени с именем <b>$name</b>,  а остальные параметры проигнорирует</p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя подключения<br> 
	&nbsp;$host - хост<br>
	&nbsp;$user - имя пользователя<br>
	&nbsp;$password - пароль<br>
	&nbsp;$database - база данных<br>
	&nbsp;$char - кодировка</p>
	<p class="important">Метод возвращает <b>true</b> при успешном открытии соединения, или <b>flase</b> если соединение не удалось установить</p>
	<p class="important"><b>Примечание:</b> Метод автоматически изменяет активное подключение на открытое</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_database->OpenConnection('sql1','localhos','root','password','db_name','utf-8');</p>
	<p class="method">SetDatabase( <i>string</i> $name )</p>
	<p>Изменение используемой базы данных</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$name - название базы данных</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_database->SetDatabase('db_name');</p>
	<p class="method">UseConnection( <i>string</i> $name);</p>
	<p>Изменение активного подключение</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$name - имя подключения</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_database->UseConnection('connect1');
	</p>
	<p class="method">Where( string $set, mixed $value )</p>
	<p>Устанавливает условие для будущего запроса(WHERE ..)</p>
	<p>Атрибуты:</p>
	<p class="example">
	&nbsp;$set - параметр<br>
	&nbsp;$value - значение
	</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_database->Where('id',12); //WHERE `id` = '12'<br>
	&nbsp;$this->MVCS_database->Where('name','john'); //AND `name` = 'John'
	</p>
	<p class="method">OrWhere( string $set, mixed $value )</p>
	<p>Устанавливает условие для будущего запроса(WHERE .. OR ..)</p>
	<p>Атрибуты:</p>
	<p class="example">
	&nbsp;$set - параметр<br>
	&nbsp;$value - значение
	</p>
	<p class="important"><b>Примечание:</b> Метод работает только после использования метода <b>Where()</b></p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_database->Where('id',12); //WHERE `id` = '12'<br>
	&nbsp;$this->MVCS_database->OrWhere('id',13); //OR `id` = '13'
	</p>
	<p class="method">Query( <i>string</i> $query )</p>
	<p>Выполнение запроса к активному подключению</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$query - запрос</p>
	<p class="important">Возвращает PDOStatement экземпляр запроса</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_database->Where('name','%сандр'); //WHERE `name` = '%сандр'<br>
	&nbsp;$query = $this->MVCS_database->Query('SELECT * FROM `users`'); //выполняем запрос и получаем экземпляр<br>
	&nbsp;while($res = mysql_fetch_array($query)){ //получаем список и выводим дату регистрации<br>
	&nbsp;&nbsp;echo $res['date_reg'];<br>
	&nbsp;}
	</p>
	<h1 id="MVCS_pdo">MVCS_pdo</h1>
	<p>Это модуль для работы с <a href="http://www.php.net/manual/ru/book.pdo.php">PDO</a>, для его работы необходимо наличие специальных драйверов на сервере</p>
	<p>Аналогично модулю MVCS_database, при создании объекта этого класса, он выполняет подключение к базе данных используя данные из массива настроек <b>$cfg['db']</b>, но MVCS_database не использует значение параметра <b>$cfg['db']['db_type']</b>, т.к работает исключительно с базами данных MYSQL</p>
	<p>Как и MVCS_database, MVCS_pdo умеет работать с несколькими подключениями, создавать новые, удалять...</p>
	<p>Свойства:</p>
	<p class="example">&nbsp;var $connection = array(); //массив подключений<br>
	&nbsp;var $connect_properties = array(); //массив с данными о подключениях<br>
	&nbsp;var $use_connection; //активное подключение<br>
	&nbsp;var $where; //условия для будущего подключения</p>
	<p>Методы:</p>
	<p class="method">MVCS_pdo()</p>
	<p>Конструктор, используется для создания подключения по умолчанию (при объявлении объекта этого класса) с именем default;</p>
	<p class="method">CloseConnection( <i>string</i> $connect_name)</p>
	<p>Закрытие подключения <b>$connect_name</b></p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_pdo->CloseConnection('connect1'); //Закрывает подключение с именем connect1</p>
	<p class="method">OpenConnection( <i>string</i> $name [, <i>string</i> $host, <i>string</i> $user, <i>string</i> $password, <i>string</i> $database, <i>string</i> $char, <i>string</i> $db_type ])</p>
	<p>Открытие подключения</p>
	<p class="important"><b>Важно:</b> Если подключение с именем <b>$name</b> было открыто ранее, то метод откроет подключение, используя данные о подключени с именем <b>$name</b>,  а остальные параметры проигнорирует</p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя подключения<br> 
	&nbsp;$host - хост<br>
	&nbsp;$user - имя пользователя<br>
	&nbsp;$password - пароль<br>
	&nbsp;$char - кодировка<br>
	&nbsp;$database - база данных<br>
	&nbsp;$db_type - тип загружаемого драйвера, то есть тип базы данных, с которой будет вестись работа</p>
	<p class="important">Метод возвращает <b>true</b> при успешном открытии соединения, или <b>flase</b> если соединение не удалось установить</p>
	<p class="important"><b>Примечание:</b> Метод автоматически изменяет активное подключение на открытое</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_pdo->OpenConnection('sql1','localhos','root','password','db_name','utf-8','mysql');</p>
	<p class="method">UseConnection( <i>string</i> $name);</p>
	<p>Изменение активного подключение</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$name - имя подключения</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_pdo->UseConnection('connect1');
	</p>
	<p class="method">Prepare( string $query )</p>
	<p>Подготавливает запрос к выполнению</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$query - запрос(как правильно подготавливать запросы, можно прочитать <a href="http://php.net/manual/ru/pdo.prepare.php">здесь</a>)</p>
	<p class="important">
	Метод возвращает экземпляр <a href="http://www.php.net/manual/ru/class.pdostatement.php">PDOStatement</a> подготовленного запроса
	</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$query = $this->MVCS_pdo->Prepare("SELECT * FROM `user` WHERE `id`=':id'"); //подготовка запроса<br>
	&nbsp;$query->execute(array(':id'=>12)); //выполнение запроса
	</p>
	<p class="method">SetAttribute( <i>int</i> $attribute, <i>mixed</i> $value )</p>
	<p>Установка атрибутов для активного подключения, подробнее <a href="http://www.php.net/manual/ru/pdo.setattribute.php">здесь</a></p>
	<p>Аргументы:</p>
	<p class="example">$attribute - атрибут<br>
	$value - значение</p>
	<p class="important">Возвращает <b>true</b> в случае успешного завершения или <b>false</b> в случае возникновения ошибки.</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_pdo->OpenConnection('c1','localhost','user','password','db_name','windows-1251','mysql'); //открытие подключения<br>
	&nbsp;$this->MVCS_pdo->SetAttribute(PDO::ATTR_ERRMODE,PDO::ERRMODE_EXCEPTION); //отключает показ ошибок
	</p>
	<p class="method">Where( string $set, mixed $value )</p>
	<p>Устанавливает условие для будущего запроса(WHERE ..)</p>
	<p>Атрибуты:</p>
	<p class="example">
	&nbsp;$set - параметр<br>
	&nbsp;$value - значение
	</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_pdo->Where('id',12); //WHERE `id` = '12'<br>
	&nbsp;$this->MVCS_pdo->Where('name','john'); //AND `name` = 'John'
	</p>
	<p class="method">OrWhere( string $set, mixed $value )</p>
	<p>Устанавливает условие для будущего запроса(WHERE .. OR ..)</p>
	<p>Атрибуты:</p>
	<p class="example">
	&nbsp;$set - параметр<br>
	&nbsp;$value - значение
	</p>
	<p class="important"><b>Примечание:</b> Метод работает только после использования метода <b>Where()</b></p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_pdo->Where('id',12); //WHERE `id` = '12'<br>
	&nbsp;$this->MVCS_pdo->OrWhere('id',13); //OR `id` = '13'
	</p>
	<p class="method">Exec( <i>string</i> $query )</p>
	<p>Выполнение запроса к активному подключению</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$query - запрос</p>
	<p class="important"> Возвращает количество строк задействованных в запросе</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_pdo->Where('id',12); //WHERE `id`='12'<br>
	&nbsp;$this->MVCS_pdo->Exec("DELETE * FROM `user`");
	</p>
	<p class="method">Query( <i>string</i> $query )</p>
	<p>Выполнение запроса к активному подключению</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;$query - запрос</p>
	<p class="important">Возвращает PDOStatement экземпляр запроса</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_pdo->Where('name','%сандр'); //WHERE `name` = '%сандр'<br>
	&nbsp;$query = $this->MVCS_pdo->Query('SELECT * FROM `users`'); //выполняем запрос и получаем экземпляр<br>
	&nbsp;while($res = $query->fetchAll()){ //получаем список и выводим дату регистрации<br>
	&nbsp;&nbsp;echo $res['date_reg'];<br>
	&nbsp;}
	</p>
	<h1 id="MVCS_cache">MVCS_cache</h1>
	<p>Этот модуль используется для кэширования содержимого</p>
	<p>Очень прост в использовании</p>
	<p>Для кэширования содержимого страницы, нужно всего лиш прописать две строчки, а если кэширование происходит на стороне клиента, то и вовсе ничего прописывать не надо, только загрузить модуль</p>
	<p>Свойства:</p>
	<p class="example">&nbsp;var $buffer; //буфер вывода<br>
	&nbsp;var $url; //путь к текущей страницы<br>
	<p>Методы:</p>
	<p class="method">&nbsp;MVCS_cache();</p>
	<p>Конструктор модуля</p>
	<p class="method">&nbsp;StartBuffering();</p>
	<p> Включает буферизацию страницы</p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_cache->StartBuffering(); //начало буферизации<br>
	&nbsp;$this->Mvcs_load_view('view'); //загрузка вида
	</p>
	<p class="method">&nbsp;ReadCache( <i>string</i> $filename );</p>
	<p>Читает файл кэша, возвращает строку содержимого файла кэша</p>
	<p>Аргументы:</p>
	<p class="example">&nbsp;<b>$filename</b> - имя файла кэша(без расширения)</p>
	<p class="important">Метод возвращает строку содержимого файла <b>$filename</b></p>
	<p>Пример использования:</p>
	<p class="example">
	&nbsp;$this->MVCS_cache->ReadCache('filename');<br>
	</p>
	<p class="method">&nbsp;WriteCache();</p>
	<p>Запись данных из свойства <b>$buffer</b> в файл кэша страницы <b>$url</b></p>
	<p class="method">&nbsp;EndBuffering();</p>
	<p>Остановка буферизации, вывод кэша, или вывод буфера и запись буфера в кэш, если страница была изменена</p>
	<p class="method">&nbsp;CleanCache();</p>
	<p>Очистка файлов кэша в директории кэша <b>$cfg['cache']['directory']</b></p>
	<p class="important"><b>Важно:</b> Если кэширование происходит на стороне клиента достаточно только загрузить модуль, если кэширование происходит на стороне сервера - прописать всего две строки. Пример ниже.</p>
	<p>Пример кэширования страницы:</p>
	<p class="example">class Page extends MVCS {<br>
	&nbsp;function method(){<br>
	
		&nbsp;&nbsp;$this->MVCS_load_module('MVCS_cache'); //загрузка модуля<br>
		&nbsp;&nbsp;$this->MVCS_cache->StartBuffering(); //начало буферизации<br>
		&nbsp;&nbsp;$page_index = array('title'=>'Название страницы'); //массив переменных<br>
		&nbsp;&nbsp;$this->MVCS_load_view('page_index',$page_index); //вывод<br>
		&nbsp;&nbsp;$this->MVCS_cache->EndBuffering();<br>
	
	&nbsp;}<br>
	}</p>
	<p>Теперь страница <b>http://site.ru/page/method</b> будет кэшироваться</p>
	<p class="important"><b>Примечание:</b> Кэшироваться будет только та часть страницы, которая выводится между методами <b>StartBuffering()</b> и <b>EndBuffering()</b></p>
	<h1 id="MVCS_ftp">MVCS_ftp</h1>
	<p class="method">&nbsp;MVCS_ftp();</p>
	<p>Подключение к FTP используя данные из массива <b>$cfg['ftp']</b></p>
	<p class="method">&nbsp;OpenConnection(<i>string</i> $name [, <i>string</i> $host, <i>string</i> $user, <i>string</i> $password, <i>string</i> $port, <i>string</i> $pasv ]);</p>
	<p>Открытие подключения</p>
	<p class="important"><b>Важно:</b> Если подключение с именем <b>$name</b> было открыто ранее, то метод откроет подключение, используя данные о подключени с именем <b>$name</b>,  а остальные параметры проигнорирует</p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя подключения<br> 
	&nbsp;$host - хост<br>
	&nbsp;$user - имя пользователя<br>
	&nbsp;$password - пароль<br>
	&nbsp;$port - порт<br>
	&nbsp;$pasv - пассивный режим; disabled - выключен, enabled - включен; по умолчанию - disabled;</p>
	<p class="important">Метод возвращает <b>true</b> при успешном открытии соединения, или <b>flase</b> если соединение не удалось установить</p>
	<p class="important"><b>Примечание:</b> Метод автоматически изменяет активное подключение на открытое</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->OpenConnection('name','ftp.server.ru','root','password',21);</p>
	<p class="method">&nbsp;CloseConnection( <i>string</i> $name );</p>
	<p>Закрытие соединения</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя подключения</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->CloseConnection('connect1');</p>
	<p class="method">&nbsp;ParentDir();</p>
	<p>Переход в родительскую директорию текущей директории</b></p>
	<p class="method">&nbsp;UseConnection( <i>string</i> $name );</p>
	<p>Изменение активного подключения</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя подключения</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->UseConnection('connect1');</p>
	<p class="method">&nbsp;MakeDir( <i>string</i> $name );</p>
	<p>Создание директории в текущей директории</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя директории</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->MakeDir('dir_name');</p>
	<p class="method">&nbsp;ChangeDir( <i>string</i> $dir );</p>
	<p>Переход в директорию $dir</p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$dir - путь к директории</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->ChangeDir('../dir_name'); //переход в директорию dir_name родительской директории текущей директории</p>
	<p class="method">&nbsp;FilesDir( <i>string</i> $dir );</p>
	<p>Возврат списка файлов директории $dir</p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - путь к директории</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$list = $this->MVCS_ftp->FilesList('.');//возвращает список файлов текущей директории</p>
	<p class="method">&nbsp;DirName();</p>
	<p>Возвращает имя текущей директории</p>
	<p class="method">&nbsp;DeleteFile( <i>string</i> $name );</p>
	<p>Удаление файла</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя файла</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->DeleteFile('file.txt');</p>
	<p class="method">&nbsp;RenameFile( <i>string</i> $name, <i>string</i> $to );</p>
	<p>Переименовывает файл $name в другое имя $to</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$name - имя файла<br>
	&nbsp;$to - новое имя файла
	</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->RenameFile('file.txt','file_new_name.txt');</p>
	<p class="method">&nbsp;DeleteDir( <i>string</i> $dir );</p>
	<p>Удаление директории $dir</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$dir - путь к директории</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->DeleteDir('dir_name');</p>
	<p class="method">&nbsp;SetPasv( [<i>string</i> $pasv] );</p>
	<p>Закрытие соединения</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$pasv - режим соединения; enabled - включает пассивный режим; disabled - выключает; enabled - по умолчанию</p>
	<p class="method">&nbsp;Site( <i>string</i> $command );</p>
	<p>Отправка команды SITE на сервер</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$command - команда</p>
	<p class="method">&nbsp;FileChmod( <i>string</i> $file, <i>string</i> $chmod);</p>
	<p>Установка chmod</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$file - файл<br>&nbsp;$chmod - chmod</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->FileChmod('file.txt','0777');</p>
	<p class="method">&nbsp;FileLoad( <i>string</i> $file[, <i>string</i> $dir ,<i>mixed</i> $mode] );</p>
	<p>Загрузка файла в локальную директорию</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$file - имя файла<br>
	&nbsp;$dir - локальная директория в которую нужно загрузить файл, по умолчанию - директория выполнения скрипта<br>
	&nbsp;$mode - тип передачи, по умолчанию - FTP_BINARY</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->FileLoad('file.txt','files/',FTP_ASCII);</p>
	<p class="method">&nbsp;FileUpload( <i>string</i> $file[,<i>mixed</i> $mode] );</p>
	<p>Загрузка файла на удаленный сервер в открытую директорию</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$file - имя файла<br>
	&nbsp;$mode - тип передачи, по умолчанию - FTP_BINARY</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->FileUpload('files/file.txt',FTP_ASCII);</p>
	<p class="method">&nbsp;FileSize( <i>string</i> $file);</p>
	<p>Возвращает размер файла на удаленном сервере</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$file - имя файла<br></p>
	<p class="method">&nbsp;SiteExec( <i>string</i> $command );</p>
	<p>Отправка команды SITE EXEC на сервер</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$command - команда</p>
	<p class="method">&nbsp;FilesUpload( <i>array</i> $files[,<i>mixed</i> $mode] );</p>
	<p>Загрузка группы файлов на удаленный сервер в открытую директорию</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$files - массив с именами файлов<br>
	&nbsp;$mode - тип передачи, по умолчанию - FTP_BINARY</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->FilesUpload(array('files/file.txt','image.png'),FTP_ASCII);</p>
	<p class="method">&nbsp;FilesLoad( <i>array</i> $files[,<i>string</i> $dir,<i>mixed</i> $mode] );</p>
	<p>Загрузка группы файлов на локальный сервер в директорию $dir</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$files - массив с именами файлов<br>
	&nbsp;$dir - директория; по умолчанию - директория выполнения скрипта<br>
	&nbsp;$mode - тип передачи, по умолчанию - FTP_BINARY</p>
	<p>Пример использования:</p>
	<p class="example">&nbsp;$this->MVCS_ftp->FilesLoad(array('file.txt','image.png'),'dir/');</p>
	<p class="method">&nbsp;FileModDate( <i>string</i> $file );</p>
	<p>Возвращает время последнего изменения файла</b></p>
	<p>Аргументы: </p>
	<p class="example">&nbsp;$file - имя файла</p>
	<p><a href="<?=$cfg['url']?>">Главная<a> | <a href="/doc/">Док.</a></p>
	</body>
</html>